#ifndef STADIOOLIMPICO_H_
#define STADIOOLIMPICO_H_

#include <pthread.h>

#define N_SETTORI 9
#define CURVA_SUD 0
#define	DISTINTI_SUD 1
#define	DISTINTI_OVEST 2
#define	TRIBUNA_TEVERE 3
#define	TRIBUNA_MONTE_MARIO 4
#define	TRIBUNA_ONORE 5
#define	CURVA_NORD 6
#define	DISTINTI_EST 7
#define	DISTINTI_NORD 8

//generico posto in una fila
struct posto {
	int codice;
	int is_prenotato;
};

//generica fila in un settore
struct fila{
	int codice;
	int nPostiLiberi;
	int nPosti;
	struct posto* posti;
	pthread_mutex_t mx_fila;	
};

//settore dello stadio
struct settore{
	int codice;
	char nome[64];
	int nFile;
	struct fila* file;
	int postiDisponibili;
	int costoIntero;
	pthread_mutex_t mx_aggiornamentoSettore;
};

struct settore settori[N_SETTORI];

#endif /*STADIOOLIMPICO_H_*/
