#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>

/*
 * Classe per testare l'applicazione a partire da dati concreti o casuali.
 * Il test 0 è quello coi dati concreti, 1 randomici
 */
int main(int argc, char** argv) {
	  //figlio
	  pid_t pidC;
	  //numero di client desiderati
	  int client;
	  //contatore
	  int i; 
	  //variabile appoggio
	  int n=0;
	  //int tipo test
	  int test;
	
	  if(argc!= 5) {
	    printf("--> ERR: DEVI SPECIFICARE: <num_client_test>, <host>, <porta>, <tipo_test (0 o 1)>\n");
	    exit(-1);
	  }
	  //leggo il numero di client
	  client = atoi(argv[1]);
	  
	  //leggo il tipo di test
	  test = atoi(argv[4]);
	  
	  for(i = 0; i<client; ++i ) {
		//creo un figlio
		pidC = fork();
	
		//codice eseguito dal figlio
		if(pidC==0) {
			//test concreto
			if(test==0)
				execlp("./client","./client",argv[2],argv[3],"1",NULL);
			else
				if(test==1)
					execlp("./client","./client",argv[2],argv[3],"2",NULL);
			fprintf(stderr,"ERRORE NELL'ESECUZIONE DEI CLIENT");
		}
	
	  }
	  
	  //attendo la morte dei figli
	  for (i = 0; i < client; i++){
	  		wait(NULL); 
	  		n++;	
	  }
	  if(n==client){
			printf("test terminato\n");  
			exit(0);
	  } 
}
